F439_CPP_TX-RX_LoRa_Project

Loading...
Searching...
No Matches
Functions
stm32f4xx_it.c File Reference

Interrupt Service Routines. More...

`#include "main.h"`
`#include "stm32f4xx_it.h"`
Include dependency graph for stm32f4xx_it.c:

## Functions
void | NMI_Handler (void)
| This function handles Non maskable interrupt.
void | HardFault_Handler (void)
| This function handles Hard fault interrupt.
void | MemManage_Handler (void)
| This function handles Memory management fault.
void | BusFault_Handler (void)
| This function handles Pre-fetch fault, memory access fault.
void | UsageFault_Handler (void)
| This function handles Undefined instruction or illegal state.
void | SVC_Handler (void)
| This function handles System service call via SWI instruction.
void | DebugMon_Handler (void)
| This function handles Debug monitor.
void | PendSV_Handler (void)
| This function handles Pendable request for system service.
void | SysTick_Handler (void)
| This function handles System tick timer.
void | EXTI15_10_IRQHandler (void)
| This function handles EXTI line[15:10] interrupts.

## Detailed Description

Interrupt Service Routines.

Attention

Copyright (c) 2026 STMicroelectronics. All rights reserved.

This software is licensed under terms that can be found in the LICENSE file in the root directory of this software component. If no LICENSE file comes with this software, it is provided AS-IS.

## Function Documentation

## ◆ BusFault_Handler()

void BusFault_Handler | ( | void |  | ) |

This function handles Pre-fetch fault, memory access fault.

## ◆ DebugMon_Handler()

void DebugMon_Handler | ( | void |  | ) |

This function handles Debug monitor.

## ◆ EXTI15_10_IRQHandler()

void EXTI15_10_IRQHandler | ( | void |  | ) |

This function handles EXTI line[15:10] interrupts.

## ◆ HardFault_Handler()

void HardFault_Handler | ( | void |  | ) |

This function handles Hard fault interrupt.

## ◆ MemManage_Handler()

void MemManage_Handler | ( | void |  | ) |

This function handles Memory management fault.

## ◆ NMI_Handler()

void NMI_Handler | ( | void |  | ) |

This function handles Non maskable interrupt.

## ◆ PendSV_Handler()

void PendSV_Handler | ( | void |  | ) |

This function handles Pendable request for system service.

## ◆ SVC_Handler()

void SVC_Handler | ( | void |  | ) |

This function handles System service call via SWI instruction.

## ◆ SysTick_Handler()

void SysTick_Handler | ( | void |  | ) |

This function handles System tick timer.

## ◆ UsageFault_Handler()

void UsageFault_Handler | ( | void |  | ) |

This function handles Undefined instruction or illegal state.